Bug 64244 - raidhotgenerateerror(8) not in rpm
raidhotgenerateerror(8) not in rpm
Product: Red Hat Linux
Classification: Retired
Component: raidtools (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Dave Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-04-30 07:40 EDT by Patrick C. F. Ernzer
Modified: 2015-01-04 17:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-27 18:00:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2002-04-30 07:40:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020311

Description of problem:
the man page for raidhotgenerateerror is missing in the raidtools rpm.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install raidtools-0.90-24
2. rpm -ql raidtool|grep raidhotgenerateerror


Actual Results:  /sbin/raidhotgenerateerror

Expected Results:  /sbin/raidhotgenerateerror

Additional info:

work around until this bug is fixed:
contains the man page.

This man page is quite important as it seems to be the only way to simulate a
drive failure without ripping the drive out. AFAIK raidhotremove will refuse to
work if the drive to be removed is not considered 'failed'

N.B.: the man page is also missing in the latest rpm (internal server, checked
Comment 1 David Sainty 2002-04-30 08:12:41 EDT
not only that, but raidhotadd, raidhotremove, raidsetfaulty all do not have good
man pages...


contains relevant pages in section 8.
Comment 2 Ingo Molnar 2002-04-30 09:00:09 EDT
raidhotgenerateerror is deprecated, the functionality is no longer in the
kernel. I've removed the manpage but the utility itself is still present. The
raidsetfaulty utility should be used to simulate RAID disk errors.
Comment 3 Patrick C. F. Ernzer 2002-06-27 07:22:55 EDT
problem: today's most current released version of raidtools for RHL 7.2 is
0.90-24 and does not include raidsetfaulty.

will there be an errata of raidtools that includes raidsetfaulty?
Comment 4 Need Real Name 2002-07-13 17:22:23 EDT
The utilities from Red Hat Linux 7.1 miss these utilities/manpages as well.
Using newer kernels need the newer tools.

Upgrading to the raidtools from Red Hat Linux 7.3 works around this.

Note You need to log in before you can comment on or make changes to this bug.